## ros-indigo-segway-rmp 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(segway_rmp)

find_package(catkin REQUIRED
  COMPONENTS
    geometry_msgs
    message_generation
    message_runtime
    nav_msgs
    roscpp
    serial
    std_msgs
    tf
)

find_package(Boost REQUIRED COMPONENTS system thread)

find_package(libsegwayrmp REQUIRED)

add_message_files(
  DIRECTORY msg
  FILES SegwayStatus.msg SegwayStatusStamped.msg
)

generate_messages(DEPENDENCIES std_msgs)

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${libsegwayrmp_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  DEPENDS libsegwayrmp
  CATKIN_DEPENDS
    geometry_msgs
    nav_msgs
    roscpp
    serial
    std_msgs
    tf
)

add_executable(segway_rmp_node src/segway_rmp_node.cpp)

message("libsegwayrmp_LIBRARIES: ${libsegwayrmp_LIBRARIES}")

target_link_libraries(segway_rmp_node
  ${Boost_LIBRARIES}
  ${libsegwayrmp_LIBRARIES}
  ${catkin_LIBRARIES}
)

install(TARGETS segway_rmp_node
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-segway-rmp (0.1.2-0trusty) trusty; urgency=high

  * Merge pull request #24 <https://github.com/segwayrmp/segway_rmp/issues/24> from segwayrmp/piyushk/parametrize_frame_ids
    allow parametrizing odometry frame id as well (useful for multiple robots)
  * Contributors: Piyush Khandelwal

 -- William Woodall <wjwwood@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segway-rmp (0.1.1-0trusty) trusty; urgency=high

  * Merge pull request #12 <https://github.com/segwayrmp/segway_rmp/issues/12> from segwayrmp/cleanup
    Clean up of build system
    - missing build_depend on message_generation
    - added repository url
    - use find_package on libsegwayrmp, not pkg-config
    - general CMakeLists.txt cleanup
    - add missing install target for node
    - removed old rosinstall file and mainpage.dox
  * Contributors: Piyush Khandelwal, William Woodall

 -- William Woodall <wjwwood@gmail.com>  Sat, 18 May 2013 05:00:00 -0000

ros-indigo-segway-rmp (0.1.0-0trusty) trusty; urgency=high

  * initial release.
  * Contributors: Chien-Liang Fok, Piyush Khandelwal, William Woodall

 -- William Woodall <wjwwood@gmail.com>  Tue, 07 May 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-segway-rmp
Section: misc
Priority: extra
Maintainer: William Woodall <wjwwood@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-libsegwayrmp, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-serial, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/segway_rmp
Standards-Version: 3.9.2

Package: ros-indigo-segway-rmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-libsegwayrmp, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-serial, ros-indigo-std-msgs, ros-indigo-tf
Description: segway_rmp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segway-rmp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
